package com.ruoyi.generator.service;

import java.util.List;
import com.ruoyi.generator.domain.TemplateFile;

/**
 * 代码模板文件Service接口
 *
 * @author ruoyi
 * @date YOUR_CURRENT_DATE
 */
public interface ITemplateFileService
{
    /**
     * 查询代码模板文件
     *
     * @param templateFileId 代码模板文件主键
     * @return 代码模板文件
     */
    public TemplateFile selectTemplateFileByTemplateFileId(Long templateFileId);

    /**
     * 查询代码模板文件列表
     *
     * @param templateFile 代码模板文件
     * @return 代码模板文件集合
     */
    public List<TemplateFile> selectTemplateFileList(TemplateFile templateFile);

    /**
     * 根据模板ID查询代码模板文件列表
     *
     * @param templateId 模板ID
     * @return 代码模板文件集合
     */
    public List<TemplateFile> selectTemplateFilesByTemplateId(Long templateId);

    /**
     * 新增代码模板文件
     *
     * @param templateFile 代码模板文件
     * @return 结果
     */
    public int insertTemplateFile(TemplateFile templateFile);

    /**
     * 修改代码模板文件
     *
     * @param templateFile 代码模板文件
     * @return 结果
     */
    public int updateTemplateFile(TemplateFile templateFile);

    /**
     * 批量删除代码模板文件
     *
     * @param templateFileIds 需要删除的代码模板文件主键集合
     * @return 结果
     */
    public int deleteTemplateFileByTemplateFileIds(Long[] templateFileIds);

    /**
     * 删除代码模板文件信息
     *
     * @param templateFileId 代码模板文件主键
     * @return 结果
     */
    public int deleteTemplateFileByTemplateFileId(Long templateFileId);

    /**
     * 根据模板ID删除代码模板文件
     *
     * @param templateId 模板ID
     * @return 结果
     */
    public int deleteTemplateFilesByTemplateId(Long templateId);
} 